import request from '@/utils/request'

// 变压器台账分页查询
export function transformerPage(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/transformerPage',
        method: 'post',
        data: data
    })
}

// 分页查询变压器策略
export function flgployPage(data: any) {
    return request({
        url: '/device-boot/pqsTflgploy/flgployPage',
        method: 'post',
        data: data
    })
}

//变压器台账新增
export function insertTransformer(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/insertTransformer',
        method: 'post',
        data
    })
}
//新增变压器策略
export function insertFlgPloy(data: any) {
    return request({
        url: '/device-boot/pqsTflgploy/insertFlgPloy',
        method: 'post',
        data
    })
}
//变压器台账修改
export function updateTransformer(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/updateTransformer',
        method: 'post',
        data
    })
}
//变压器策略详情
export function getFlgPloyInfo(data: any) {
    return request({
        url: '/device-boot/pqsTflgploy/getFlgPloyInfo',
        method: 'get',
        params: data
    })
}
//修改变压器策略
export function updateFlgPloy(data: any) {
    return request({
        url: '/device-boot/pqsTflgploy/updateFlgPloy',
        method: 'post',
        data
    })
}
//变压器台账删除
export function delTransformer(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/delTransformer',
        method: 'post',
        data
    })
}
//删除变压器策略
export function delFlgPloy(data: any) {
    return request({
        url: '/device-boot/pqsTflgploy/delFlgPloy',
        method: 'get',
        params: data
    })
}
//获取变压器台账 树
export function getTransformerTree() {
    return request({
        url: '/device-boot/pqsTransformer/getTransformerTree',
        method: 'get'
    })
}
//获取上下节点信息
export function getGeneratrix(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/getGeneratrix',
        method: 'get',
        params: data
    })
}
//变电站节点维护
export function nodeMaintenance(data: any) {
    return request({
        url: '/device-boot/pqsTransformer/nodeMaintenance',
        method: 'post',
        data
    })
}
